controllers/AutoresController.php
<?php

namespace app\controllers;

use Yii;
use app\models\Autores;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

/**
 * AutoresController implements the CRUD actions for Autores model.
 */
class AutoresController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }

    /**
     * Lists all Autores models.
     * @return mixed
     */
    public function actionIndex()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Autores::find(),
        ]);

        return $this->render('index', [
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Autores model.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }
    
    public function actionViewfe($id)
    {
        return $this->render('view_fe', [
            'model' => $this->findModel($id),
        ]);
    }

    /**
     * Creates a new Autores model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    public function actionCreate()
    {
        $model = new Autores();

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->id]);
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }

    /**
     * Updates an existing Autores model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id)
    {
        $model = $this->findModel($id);

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->id]);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    /**
     * Deletes an existing Autores model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Autores model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return Autores the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = Autores::findOne($id)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }
}

controllers/NoticiasController.php
<?php

namespace app\controllers;

use Yii;
use app\models\Noticias;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;
use app\models\Autores;
use app\models\Fotografos;
use app\models\Etiquetas;

/**
 * NoticiasController implements the CRUD actions for Noticias model.
 */
class NoticiasController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }

    /**
     * Shows frontend noticias.
     * @return mixed
     */
//    public function actionIndex()
//    {
//        $dataProvider = new ActiveDataProvider([
//            'query' => Noticias::find(),
//        ]);
//
//        return $this->render('vista1', [
//            "dataProvider" => $dataProvider,
//            "campos"=>['texto'],
//            "titulo"=>"Noticias de nuestro periódico",
//          ]);
//    }
    /**
     * Lists all Noticias models.
     * @return mixed
     */
    public function actionIndex(){
        $dataProvider = new ActiveDataProvider([
            'query' => Noticias::find(),
        ]);

        return $this->render('index', [
            'dataProvider' => $dataProvider,
        ]);
    }
    
    
    public function actionProbando(){
        $a=Noticias::findOne(1);
        var_dump($a);
        //var_dump($a->getCategorizans()->all());
        var_dump($a->getEtiquetas()->all()[0]->etiqueta);
        
    }
    
    public function actionNoticiasautor($autor){
        $dataProvider = new ActiveDataProvider([
            'query'=> Noticias::find()
                ->where("idautor=$autor")
        ]);
        
        $nombreautor = Autores::findOne($autor)->nombre;
        
        
        
        
        
        return $this->render('vista1', [
            "dataProvider" => $dataProvider,
            "campos"=>['texto'],
            "title"=>"Noticias del autor: $nombreautor",
          ]);
        
    }
    
    public function actionNoticiasetiqueta($etiqueta){
        $dataProvider = new ActiveDataProvider([
            'query'=> Noticias::find()
                ->innerJoinWith("etiquetas")
                ->where("etiquetas.id=$etiqueta")
                
                
        ]);
        
        
        
        
        
        
        
        return $this->render('vista1', [
            "dataProvider" => $dataProvider,
            "title"=>"Noticias de la etiqueta",
            
            
          ]);
        
    }
    
    public function actionNoticiasfotografos($fotografo){
        $dataProvider = new ActiveDataProvider([
            'query'=>Fotografos::findOne($fotografo)->getNoticias(),
        ]);
        
        //var_dump(Fotografos::findOne($fotografo)->getNoticias());
        //exit;
        
        
        
        
        
        
        
        
        return $this->render('vista1', [
            "dataProvider" => $dataProvider,
            "title"=>"Noticias del Fotógrafo",
          ]);
        
    }
    
    public function actionAutorfotografos($fotografo){
        $dataProvider = new ActiveDataProvider([
            'query'=>Fotografos::findOne($fotografo)->getAutores(),
        ]);
        
               
        return $this->render('vista2', [
            "dataProvider" => $dataProvider,
            "titulo"=>"Autores del Fotógrafo",
          ]);
        
    }
    
    

    /**
     * Displays a single Noticias model.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }

    /**
     * Creates a new Noticias model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    public function actionCreate()
    {
        $model = new Noticias();

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->id]);
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }

    /**
     * Updates an existing Noticias model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id)
    {
        $model = $this->findModel($id);

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->id]);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    /**
     * Deletes an existing Noticias model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Noticias model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return Noticias the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = Noticias::findOne($id)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }
}

controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use app\models\LoginForm;
use app\models\ContactForm;
use yii\data\ActiveDataProvider;
use app\models\Noticias;
use app\models\Autores;
use app\models\Fotografos;
use app\models\Etiquetas;
use app\models\Categorizan;

class SiteController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'only' => ['logout'],
                'rules' => [
                    [
                        'actions' => ['logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return string
     */
    public function actionIndex()
    {
        return $this->render('index');
    }

    /**
     * Displays frontend page for noticias.
     *
     * 
     */
    public function actionIndexnoticias()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Noticias::find(),
        ]);

        return $this->render('vista1', [
            "dataProvider" => $dataProvider,
            "campos"=>['texto'],
            "titulo"=>"Noticias de nuestro periódico",
          ]);
    }
    
     /**
     * Displays frontend page for autores.
     *
     * 
     */
    public function actionIndexautores()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Autores::find(),
        ]);

        return $this->render('vista2', [
            "dataProvider" => $dataProvider,
            "campos"=>['texto'],
            "titulo"=>"Autores de nuestro periódico",
          ]);
    }
    
     /**
     * Displays frontend page for fotografos.
     *
     * 
     */
    public function actionIndexfotografos()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Fotografos::find(),
        ]);

        return $this->render('vista3', [
            "dataProvider" => $dataProvider,
            "campos"=>['texto'],
            "titulo"=>"Fotógrafos de nuestro periódico",
          ]);
    }
    
     /**
     * Displays frontend page for fotografos.
     *
     * 
     */
    public function actionIndexetiquetas()
    {
       
        
        $numnoticias = Etiquetas::find()
                ->select("etiquetas.id,etiqueta,count(*) numeroNoticias,count(distinct idautor) numeroAutores")
                ->innerJoinWith("noticias")
                ->groupBy('etiquetas.id,etiqueta');
        
        
         $dataProvider = new ActiveDataProvider([
            'query' => $numnoticias,
        ]);
        
        
        //var_dump($numnoticias);
                
        

        return $this->render('vista4', [
            "dataProvider" => $dataProvider,
            "titulo"=>"Etiquetas de nuestro periódico",
            
          ]);
    }
    
    /**
     * Login action.
     *
     * @return Response|string
     */
    public function actionLogin()
    {
        if (!Yii::$app->user->isGuest) {
            return $this->goHome();
        }

        $model = new LoginForm();
        if ($model->load(Yii::$app->request->post()) && $model->login()) {
            return $this->goBack();
        }

        $model->password = '';
        return $this->render('login', [
            'model' => $model,
        ]);
    }

    /**
     * Logout action.
     *
     * @return Response
     */
    public function actionLogout()
    {
        Yii::$app->user->logout();

        return $this->goHome();
    }

    /**
     * Displays contact page.
     *
     * @return Response|string
     */
    public function actionContact()
    {
        $model = new ContactForm();
        if ($model->load(Yii::$app->request->post()) && $model->contact(Yii::$app->params['adminEmail'])) {
            Yii::$app->session->setFlash('contactFormSubmitted');

            return $this->refresh();
        }
        return $this->render('contact', [
            'model' => $model,
        ]);
    }

    /**
     * Displays about page.
     *
     * @return string
     */
    public function actionAbout()
    {
        return $this->render('about');
    }
}

views/site/_vista1.php
<?php
    use yii\helpers\Html;
    use yii\helpers\ArrayHelper;
    
$this->title = "Noticias";  
?>

  <div class="col-sm-6 col-md-12">
    <div class="thumbnail noticias" style="max-height: 600px;">
      <div class="caption">
          <p style="color:darkgrey;text-align: right;"><?= implode('</p><p>',ArrayHelper::getColumn($model->noticiasfechas, 'fecha_publicacion')) ?></p>  
        <h2><?= $model->titulo ?></h2>
        <hr class="my-4">
        <p><?= $model->texto ?></p>
        <div class="btn-group btn-group-justified">
            <?= Html::a("Información del autor: ".$model->autor->nombre,['autores/viewfe','id'=>$model->idautor],['class' => ' btn btn-primary']) ?>
            <?= Html::a("Fotografías de la noticia",['autores/viewfe','id'=>$model->idautor],['class' => ' btn btn-primary']) ?>
        </div>
        
        
        <hr class="my-4">
        
        
        
        <div>
        <div style="display:inline;background:#E9E9E9;margin-bottom:4px;padding:6px;border-radius:5px;" ><?= implode('</div><div style="display:inline-block !important;margin-left:10px;background:#E9E9E9;margin-bottom:4px;padding:4px;border-radius:5px;">',ArrayHelper::getColumn($model->etiquetas, 'etiqueta')) ?></div> 
          </div>
      </div>
    </div>
  </div>

views/site/_vista2.php
<?php
    use yii\helpers\Html;
    use yii\helpers\ArrayHelper;
    
  


$this->title = "Autores";

//$this->params['breadcrumbs'][] = ['label' => 'Autores', 'url' => ['index']];
//$this->params['breadcrumbs'][] = $this->title;
//\yii\web\YiiAsset::register($this);
?>



<div class="autores-view">
    
 
  <div class="col-sm-6 col-md-4">
    <div class="thumbnail">
      <div class="caption">
        <h3><?= $model->id.", ".$model->nombre ?></h3>
    
        <p><?= "Correo electrónico: ".$model->email ?></p>
        <p><?= "Alias: ".$model->alias ?></p>
    
        <?= Html::a('Ver Noticias', ['noticias/noticiasautor','autor'=>$model->id], ['class' => 'btn btn-primary btn-md', 'style'=>'margin-top:10px;']) ?>
        
      </div>
    </div>
  </div>

    
    

    
    

   

</div>

views/site/_vista3.php
<?php
    use yii\helpers\Html;
    use yii\helpers\ArrayHelper;
    use yii\helpers\Url;
    
  


$this->title = "Fotógrafos";


//var_dump($model->portfolio);
//exit;

//$this->params['breadcrumbs'][] = ['label' => 'Autores', 'url' => ['index']];
//$this->params['breadcrumbs'][] = $this->title;
//\yii\web\YiiAsset::register($this);
?>

<div class="autores-view">
    
 
  <div class="col-sm-4 col-md-4">
    <div class="thumbnail">
      <div class="caption" style="text-align: center;">
        <h2 style="text-align: left;"><?= $model->nombre ?></h2>
        
        
        
        <a style='margin-top:30px;' class ="btn btn-primary btn-md" href="<?= $model->portfolio ?>" target=_blank>Portfolio</a>
        <?= Html::a('Fotos', ['noticias/noticiasautor','autor'=>$model->id], ['class' => 'btn btn-primary btn-md', 'style'=>'margin-top:30px;']) ?>
        <?= Html::a('Noticias', ['noticias/noticiasfotografos','fotografo'=>$model->id], ['class' => 'btn btn-primary btn-md', 'style'=>'margin-top:30px;']) ?>
        <?= Html::a('Autores', ['noticias/autorfotografos','fotografo'=>$model->id], ['class' => 'btn btn-primary btn-md', 'style'=>'margin-top:30px;']) ?>
        
        
      </div>
    </div>
  </div>

    


    
    

   

</div>

views/site/_vista4.php
<?php
    use yii\helpers\Html;
    use yii\helpers\ArrayHelper;
    use yii\helpers\Url;
    
  


$this->title = "Etiquetas";


//var_dump($model->portfolio);
//exit;

//$this->params['breadcrumbs'][] = ['label' => 'Autores', 'url' => ['index']];
//$this->params['breadcrumbs'][] = $this->title;
//\yii\web\YiiAsset::register($this);
?>

<div class="autores-view">
    
 
  <div class="col-sm-4 col-md-4">
    <div class="thumbnail">
      <div class="caption" style="text-align: center;">
        <h2 style="text-align: left;">Título</h2>
        
        
        
<!--        <a style='margin-top:30px;' class ="btn btn-primary btn-md" href="<?= $model->portfolio ?>" target=_blank>Portfolio</a>
        //<?= Html::a('Fotos', ['noticias/noticiasautor','autor'=>$model->id], ['class' => 'btn btn-primary btn-md', 'style'=>'margin-top:30px;']) ?>
        //<?= Html::a('Noticias', ['noticias/noticiasfotografos','fotografo'=>$model->id], ['class' => 'btn btn-primary btn-md', 'style'=>'margin-top:30px;']) ?>
        //<?= Html::a('Autores', ['noticias/autorfotografos','fotografo'=>$model->id], ['class' => 'btn btn-primary btn-md', 'style'=>'margin-top:30px;']) ?>
        
        -->
      </div>
    </div>
  </div>

  
</div>

views/site/about.php
<?php

/* @var $this yii\web\View */

use yii\helpers\Html;

$this->title = 'About';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-about">
    <h1><?= Html::encode($this->title) ?></h1>

    <p>
        This is the About page. You may modify the following file to customize its content:
    </p>

    <code><?= __FILE__ ?></code>
</div>

views/site/contact.php
<?php

/* @var $this yii\web\View */
/* @var $form yii\bootstrap\ActiveForm */
/* @var $model app\models\ContactForm */

use yii\helpers\Html;
use yii\bootstrap\ActiveForm;
use yii\captcha\Captcha;

$this->title = 'Contact';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-contact">
    <h1><?= Html::encode($this->title) ?></h1>

    <?php if (Yii::$app->session->hasFlash('contactFormSubmitted')): ?>

        <div class="alert alert-success">
            Thank you for contacting us. We will respond to you as soon as possible.
        </div>

        <p>
            Note that if you turn on the Yii debugger, you should be able
            to view the mail message on the mail panel of the debugger.
            <?php if (Yii::$app->mailer->useFileTransport): ?>
                Because the application is in development mode, the email is not sent but saved as
                a file under <code><?= Yii::getAlias(Yii::$app->mailer->fileTransportPath) ?></code>.
                Please configure the <code>useFileTransport</code> property of the <code>mail</code>
                application component to be false to enable email sending.
            <?php endif; ?>
        </p>

    <?php else: ?>

        <p>
            If you have business inquiries or other questions, please fill out the following form to contact us.
            Thank you.
        </p>

        <div class="row">
            <div class="col-lg-5">

                <?php $form = ActiveForm::begin(['id' => 'contact-form']); ?>

                    <?= $form->field($model, 'name')->textInput(['autofocus' => true]) ?>

                    <?= $form->field($model, 'email') ?>

                    <?= $form->field($model, 'subject') ?>

                    <?= $form->field($model, 'body')->textarea(['rows' => 6]) ?>

                    <?= $form->field($model, 'verifyCode')->widget(Captcha::className(), [
                        'template' => '<div class="row"><div class="col-lg-3">{image}</div><div class="col-lg-6">{input}</div></div>',
                    ]) ?>

                    <div class="form-group">
                        <?= Html::submitButton('Submit', ['class' => 'btn btn-primary', 'name' => 'contact-button']) ?>
                    </div>

                <?php ActiveForm::end(); ?>

            </div>
        </div>

    <?php endif; ?>
</div>

views/site/error.php
<?php

/* @var $this yii\web\View */
/* @var $name string */
/* @var $message string */
/* @var $exception Exception */

use yii\helpers\Html;

$this->title = $name;
?>
<div class="site-error">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="alert alert-danger">
        <?= nl2br(Html::encode($message)) ?>
    </div>

    <p>
        The above error occurred while the Web server was processing your request.
    </p>
    <p>
        Please contact us if you think this is a server error. Thank you.
    </p>

</div>

views/site/index.php
<?php

/* @var $this yii\web\View */

$this->title = 'My Yii Application';
?>
<div class="site-index">

    <div class="jumbotron">
        <h1>Congratulations!</h1>

        <p class="lead">You have successfully created your Yii-powered application.</p>

        <p><a class="btn btn-lg btn-success" href="http://www.yiiframework.com">Get started with Yii</a></p>
    </div>

    <div class="body-content">

        <div class="row">
            <div class="col-lg-4">
                <h2>Heading</h2>

                <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et
                    dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip
                    ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu
                    fugiat nulla pariatur.</p>

                <p><a class="btn btn-default" href="http://www.yiiframework.com/doc/">Yii Documentation &raquo;</a></p>
            </div>
            <div class="col-lg-4">
                <h2>Heading</h2>

                <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et
                    dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip
                    ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu
                    fugiat nulla pariatur.</p>

                <p><a class="btn btn-default" href="http://www.yiiframework.com/forum/">Yii Forum &raquo;</a></p>
            </div>
            <div class="col-lg-4">
                <h2>Heading</h2>

                <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et
                    dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip
                    ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu
                    fugiat nulla pariatur.</p>

                <p><a class="btn btn-default" href="http://www.yiiframework.com/extensions/">Yii Extensions &raquo;</a></p>
            </div>
        </div>

    </div>
</div>

views/site/login.php
<?php

/* @var $this yii\web\View */
/* @var $form yii\bootstrap\ActiveForm */
/* @var $model app\models\LoginForm */

use yii\helpers\Html;
use yii\bootstrap\ActiveForm;

$this->title = 'Login';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-login">
    <h1><?= Html::encode($this->title) ?></h1>

    <p>Please fill out the following fields to login:</p>

    <?php $form = ActiveForm::begin([
        'id' => 'login-form',
        'layout' => 'horizontal',
        'fieldConfig' => [
            'template' => "{label}\n<div class=\"col-lg-3\">{input}</div>\n<div class=\"col-lg-8\">{error}</div>",
            'labelOptions' => ['class' => 'col-lg-1 control-label'],
        ],
    ]); ?>

        <?= $form->field($model, 'username')->textInput(['autofocus' => true]) ?>

        <?= $form->field($model, 'password')->passwordInput() ?>

        <?= $form->field($model, 'rememberMe')->checkbox([
            'template' => "<div class=\"col-lg-offset-1 col-lg-3\">{input} {label}</div>\n<div class=\"col-lg-8\">{error}</div>",
        ]) ?>

        <div class="form-group">
            <div class="col-lg-offset-1 col-lg-11">
                <?= Html::submitButton('Login', ['class' => 'btn btn-primary', 'name' => 'login-button']) ?>
            </div>
        </div>

    <?php ActiveForm::end(); ?>

    <div class="col-lg-offset-1" style="color:#999;">
        You may login with <strong>admin/admin</strong> or <strong>demo/demo</strong>.<br>
        To modify the username/password, please check out the code <code>app\models\User::$users</code>.
    </div>
</div>

views/site/vista1.php
<?php
use yii\helpers\Html;
use yii\helpers\HtmlPurifier;
use yii\widgets\ListView;
?>



<div class="well well-sm"><h2 style="text-align: center;max-height: 50px;"><?= $titulo ?></h2></div>

<p>
        <?= Html::a('Crear Noticia', ['create'], ['class' => 'btn btn-warning']) ?>
</p>

<div class="row">
<?= ListView::widget([
            'dataProvider' => $dataProvider,
            'itemView' => '_vista1',
            'layout'=>"{summary}\n{pager}\n{items}",
        ]);
?>
</div>

views/site/vista2.php
<?php
use yii\helpers\Html;
use yii\helpers\HtmlPurifier;
use yii\widgets\ListView;
?>

<!--<div class="jumbotron">
  <h2><?= $titulo ?></h2>
  

  
</div>-->

<div class="well well-sm"><h2 style="text-align: center;max-height: 50px;"><?= $titulo ?></h2></div>

<p>
        <?= Html::a('Crear Autor', ['create'], ['class' => 'btn btn-warning']) ?>
</p>

<div class="row">
<?= ListView::widget([
            'dataProvider' => $dataProvider,
            'itemView' => '_vista2',
            'layout'=>"{summary}\n{pager}\n{items}",
        ]);
?>
</div>

views/site/vista3.php
<?php
use yii\helpers\Html;
use yii\helpers\HtmlPurifier;
use yii\widgets\ListView;
?>

<div class="well well-sm"><h2 style="text-align: center;max-height: 50px;"><?= $titulo ?></h2></div>

<p>
        <?= Html::a('Crear Fotógrafo', ['create'], ['class' => 'btn btn-warning']) ?>
</p>

<div class="row">
<?= ListView::widget([
            'dataProvider' => $dataProvider,
            'itemView' => '_vista3',
            'layout'=>"{summary}\n{pager}\n{items}",
        ]);
?>
</div>

views/site/vista4.php
<?php
use yii\helpers\Html;
use yii\helpers\HtmlPurifier;
use yii\grid\GridView;

$this->title = "Etiquetas";
//var_dump($numnoticias);
//exit;

?>

<div class="well well-sm"><h2 style="text-align: center;max-height: 50px;"><?= $titulo ?></h2></div>
<p>
        <?= Html::a('Crear Etiqueta', ['create'], ['class' => 'btn btn-warning']) ?>
    </p>

<div class="etiquetas-index">

   

    
     
    


    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        
        'columns' => [
            
            //['class' => 'yii\grid\SerialColumn'],
            'id',
            'etiqueta',
            'numeroNoticias',
            'numeroAutores',
            ['class' => 'yii\grid\ActionColumn',
            'header' => 'Noticias relacionadas',
            'template'=>'{noticias}',    
            'buttons'=>[
                'noticias'=>function($url,$model){
                    return Html::a('Ver Noticias', ['noticias/noticiasetiqueta','etiqueta'=>$model->id], ['class' => 'btn btn-primary btn-md']);
                    
                },
            ],     
            ],
                       
            
            
        ],
                        
        'rowOptions' =>['style'=>'text-align:center;'],
        'headerOptions'=>['style'=>'text-align:center;'],
        'layout'=>"{summary}\n{pager}\n{items}",
        
    ]); ?>


</div>